public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "David Seifert" <soap@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sci-calculators/grpn/
Date: Tue, 18 Oct 2016 20:02:37 +0000 (UTC)	[thread overview]
Message-ID: <1476820951.5b84bafee89f2ff7b7ae1872b85a76b41f70348b.soap@gentoo> (raw)

commit:     5b84bafee89f2ff7b7ae1872b85a76b41f70348b
Author:     Gerhard Bräunlich <wippbox <AT> gmx <DOT> net>
AuthorDate: Tue Oct 18 18:35:48 2016 +0000
Commit:     David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Tue Oct 18 20:02:31 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5b84bafe

sci-calculators/grpn: Version bump to 1.4.0-1 / EAPI bump 4 -> 6

Package-Manager: portage-2.3.0
Closes: https://github.com/gentoo/gentoo/pull/2589

Signed-off-by: David Seifert <soap <AT> gentoo.org>

 sci-calculators/grpn/Manifest          |  1 +
 sci-calculators/grpn/grpn-1.4.0.ebuild | 39 ++++++++++++++++++++++++++++++++++
 2 files changed, 40 insertions(+)

diff --git a/sci-calculators/grpn/Manifest b/sci-calculators/grpn/Manifest
index 07e02b5..acdf33a 100644
--- a/sci-calculators/grpn/Manifest
+++ b/sci-calculators/grpn/Manifest
@@ -1 +1,2 @@
 DIST grpn_1.3.4-1.tar.gz 59172 SHA256 e26c9c4648c11d35d3a0ba8bb7855b016e2559fa291036eb2dac0a9d4b2caa6f SHA512 137b204e246d647a808f2278bfda7c71463c7e8fdb7446a6d59f43cfdb724c6c9f472f96385c2e46814c167f2c0827106fc207c4796f7a2f9e6c6ec09ea4ae6c WHIRLPOOL 61383489ce40cd4bdc2f6e83c9dd46bc0a053ae7fbd4ee8337ea8a22dc400f2c5d09ee10a784bb39ddb4413e17e164eef362bc33504433a10cb05095e379ab69
+DIST grpn_1.4.0-1.tar.gz 61430 SHA256 51fe7800cecab5119c94a87f6b263cc65073cfa7d655f538e7adf5273d092947 SHA512 f1e6831db2d4d0b4bd37a0b7d44f63563ec778f8820f305d9e57c96d8f93f8d3e48d703ab67d7e2819d41ab6d8188e81a6336eb9831cdf17389bc002dc7af371 WHIRLPOOL 3e1dab37c8df8537958f4837c6a6c0c2fbf6fd5b53d6bdfc0bb0f13ec3a26c2e1ebd633b7aca10b80a268edecf246928826e8db4bae3c228d7ba7029a575ea2b

diff --git a/sci-calculators/grpn/grpn-1.4.0.ebuild b/sci-calculators/grpn/grpn-1.4.0.ebuild
new file mode 100644
index 00000000..b89fdc4
--- /dev/null
+++ b/sci-calculators/grpn/grpn-1.4.0.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+inherit eutils toolchain-funcs
+
+DESCRIPTION="A reverse polish notation (RPN) calculator based on GTK+ and libmath"
+HOMEPAGE="http://www.getreu.net/"
+SRC_URI="http://www.getreu.net/public/downloads/software/${PN}/${P}/${PN}_${PV}-1.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+RDEPEND="x11-libs/gtk+:2
+	x11-libs/libX11"
+DEPEND="${RDEPEND}
+	virtual/pkgconfig"
+
+S="${WORKDIR}/src"
+
+src_prepare() {
+	default
+	sed -i -e 's:= -g -O2 -I/usr/X11/include:+=:' Makefile || die
+}
+
+src_compile() {
+	emake CC="$(tc-getCC)" DFLAGS="${LDFLAGS}"
+}
+
+src_install() {
+	dobin ${PN}
+	doman ${PN}.1
+
+	newicon icon.png ${PN}.png
+	make_desktop_entry ${PN} "RPN calculator"
+}


             reply	other threads:[~2016-10-18 20:02 UTC|newest]

Thread overview: 4+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2016-10-18 20:02 David Seifert [this message]
  -- strict thread matches above, loose matches on Subject: below --
2022-10-08 19:52 [gentoo-commits] repo/gentoo:master commit in: sci-calculators/grpn/ Sam James
2016-10-21 18:50 David Seifert
2016-08-06 10:17 Pacho Ramos

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1476820951.5b84bafee89f2ff7b7ae1872b85a76b41f70348b.soap@gentoo \
    --to=soap@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox